#pragma once

#include <stddef.h>


typedef struct XSlaveInfo
{
    char* name;
    char* dev_node;
} XSlaveInfo;

typedef struct XSalves
{
    XSlaveInfo* slaves;
    size_t capacity;
    size_t length;
} XSlaves;


XSlaveInfo new_slave_info();
void free_slave_info(XSlaveInfo si);

XSlaves* new_xslaves(size_t capacity);
void free_xslaves(XSlaves* slaves);
int add_slaveinfo(XSlaves* slaves, char* name, char* dev_node);
